## org.eclipse.wst.server.core
Interface IServerLifecycleListener

All Known Implementing Classes:
  ServerLifecycleAdapter

    public interface IServerLifecycleListener

Listener interface for changes to servers.

This interface is fired whenever a server is added, modified, or removed. All events are fired post-change, so that all server tools API called as a result of the event will return the updated results. (for example, on serverAdded the new server will be in the global list of servers (`ServerCore.getServers()`), and on serverRemoved the server will not be in the list.

Since:
  1.0
See Also:
  `ServerCore`, `IServer`

Method Summary
`void` `serverAdded(IServer server)` A new server has been created.
`void` `serverChanged(IServer server)` An existing server has been updated or modified.
`void` `serverRemoved(IServer server)` A existing server has been removed.

Method Detail

### serverAdded

    void serverAdded(IServer server)

  A new server has been created.

  Parameters:
    `server` - the new server

### serverChanged

    void serverChanged(IServer server)

  An existing server has been updated or modified.

  Parameters:
    `server` - the modified server

### serverRemoved

    void serverRemoved(IServer server)

  A existing server has been removed.

  Parameters:
    `server` - the removed server